Canalplan Bug Tracker



Anonymous Login
2019-03-23 12:19 GMT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000534Canalplan [All Projects] Bugpublic2019-02-05 12:30
ReporterStephen Atty 
Assigned ToNick Atty 
PriorityhighSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformGenericOSN/AOS VersionN/A
Product VersionProduct Build 
Target VersionFixed in Version 
Summary0000534: New Canal Added - maps not regenerating
DescriptionI added Dudley No. 2 (Lapal) Canal.

Linear maps are there but there is no line showing on the maps.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0002025

Stephen Atty (administrator)

Looking at the files:

-rw-rw-r-- 1 nick www-data 9393152 Jan 4 10:31 canalplan_great-britain.mbtiles
-rw-rw-r-- 1 nick www-data 6281216 Jan 4 10:31 canalplan_europe.mbtiles
-rw-rw-r-- 1 nick www-data 653312 Jan 4 10:31 canalplan_ireland.mbtiles
-rw-rw-r-- 1 nick www-data 5023744 Jan 4 10:31 canalplan_north-america.mbtiles
-rw-rw-r-- 1 nick www-data 85748 Jan 4 10:31 uk-style_background.json
-rw-rw-r-- 1 steve www-data 99929 Jan 4 10:31 uk-style.json
-rw-rw-r-- 1 nick www-data 85746 Jan 4 10:31 europe-style_background.json
-rw-rw-r-- 1 steve www-data 99920 Jan 4 10:31 europe-style.json
-rw-rw-r-- 1 nick www-data 85756 Jan 4 10:31 ireland-style_background.json
-rw-rw-r-- 1 steve www-data 99931 Jan 4 10:31 ireland-style.json
-rw-rw-r-- 1 nick www-data 85744 Jan 4 10:31 north-america-style_background.json
-rw-rw-r-- 1 nick www-data 99925 Jan 4 10:31 north-america-style.json


it looks like they're not regenerating

~0002026

Stephen Atty (administrator)

Also the geodata directories don't seem to be updating either.

~0002027

Nick Atty (administrator)

They aren't. The problem is this (from the bgprocess log):
Updating geodata for Dudley Canal No 2 (Lapal Canal) ...Writing to /webstuff/canalplan/mapping/geodata/waterways/ukuk/lines/mfdn.geodata
Sun Jan 6 10:35:53 2019 /webstuff/canalplan/cgi-bin/canal /webstuff/canalplan/cgi-bin/do_queued_action: Error with file - datafile.c:922::File not open - file /webstuff/canalplan/cgi-bin/do_queued_action, line 530
Sun Jan 6 10:35:53 2019 Execution failed with error 256

I just can't see why. All the directories in the path appear to have group write and execute permissions.

~0002028

Nick Atty (administrator)

I'd had to do a manual rebuild of all the geodata files when I added integer IDs in support of some new work I'm doing. That had left them not group writable (but I'd confused myself as my server window was open on beta).

Now done. I'm finding some caching issues - experience shows they tend to fade after a while - but when I zoom in I can see a nice dotted line.

~0002146

Autoclose (administrator)

Closing automatically, stayed too long in feedback state. Feel free to re-open with additional information if you think the issue is not resolved.
+Notes

-Issue History
Date Modified Username Field Change
2019-01-06 11:23 Stephen Atty New Issue
2019-01-06 11:23 Stephen Atty Status new => assigned
2019-01-06 11:23 Stephen Atty Assigned To => Nick Atty
2019-01-06 11:26 Stephen Atty Note Added: 0002025
2019-01-06 11:27 Stephen Atty Note Added: 0002026
2019-01-06 11:28 Stephen Atty Priority normal => high
2019-01-06 12:14 Nick Atty Note Added: 0002027
2019-01-06 12:29 Nick Atty Status assigned => resolved
2019-01-06 12:29 Nick Atty Resolution open => fixed
2019-01-06 12:29 Nick Atty Note Added: 0002028
2019-02-05 12:30 Autoclose Note Added: 0002146
2019-02-05 12:30 Autoclose Status resolved => closed
+Issue History